/*
 * Accounting Example
 */

package at.ac.wu.ai.accounting;

import java.util.*;

public class Expenditure extends Transaction{
	private int costUnitNo;

	public Expenditure(Date date, double amount, String description, int costUnitNo) {
		super(date, amount, description);
		// we expect a positive amount for expenditures
		if (amount>0) {
			this.setAmount( Math.abs(amount) );
		}
		this.costUnitNo = costUnitNo;
	}
	
	public int getCostUnitNo() {
		return costUnitNo;
	}

	public void setCostUnitNo(int costUnitNo) {
		this.costUnitNo = costUnitNo;
	}
	
	/* 
	 * toString specifies the string representation of this object.
	 * a revenue is shown as follows:
	 *   date description (costNo: costUnitNo): amount €
	 */
	public String toString() {
		return String.format("%s %s (costNo: %d): %.2f €",  
		    getDate().toString(), getDescription(), getCostUnitNo(), getAmount());

	}
	
}
